Skip to main content
GET
/
events
/
{id}
Get Event
curl --request GET \
  --url https://api.example.com/events/{id}
import requests

url = "https://api.example.com/events/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2023-11-07T05:31:56Z",
  "eventTime": "2023-11-07T05:31:56Z",
  "userId": "<string>",
  "eventTag": {
    "id": "<string>",
    "code": "<string>",
    "name": "<string>",
    "description": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deleted": true,
    "deletedAt": "2023-11-07T05:31:56Z"
  },
  "quantityList": [
    {
      "epcClass": "<string>",
      "quantity": 123,
      "unit": "<string>"
    }
  ],
  "outputQuantityList": [
    {
      "epcClass": "<string>",
      "quantity": 123,
      "unit": "<string>"
    }
  ],
  "inputQuantityList": [
    {
      "epcClass": "<string>",
      "quantity": 123,
      "unit": "<string>"
    }
  ],
  "sourceList": [
    {
      "source": "<string>",
      "partner": "<string>"
    }
  ],
  "destinationList": [
    {
      "destination": "<string>",
      "partner": "<string>"
    }
  ],
  "readPoint": {
    "identifier": "<string>",
    "lat": 123,
    "lng": 123
  },
  "seafoodEventData": {
    "catchArea": "<string>"
  },
  "epcs": [
    {
      "epc": "<string>"
    }
  ],
  "inputEpcs": [
    {
      "epc": "<string>"
    }
  ],
  "outputEpcs": [
    {
      "epc": "<string>"
    }
  ],
  "images": [
    "<string>"
  ]
}

Path Parameters

id
string
required

The ID of the event to get

Response

The event has been successfully retrieved

id
string<uuid>
required

The id of the event

Example:

"123e4567-e89b-12d3-a456-426614174000"

createdAt
string<date-time>
required

The time of the event was created

eventTime
string<date-time>
required

The time of the event

eventType
enum<string>
required

The type of the event

Available options:
ASSOCIATION_EVENT,
OBJECT_EVENT,
AGGREGATION_EVENT,
TRANSACTION_EVENT,
TRANSFORMATION_EVENT
action
enum<string>
required

The action of the event

Available options:
OBSERVE,
ADD,
DELETE
userId
string

The user id of the event

eventTag
object

The tag associated with the event

bizStep
enum<string>

The business step associated with the event

Available options:
ACCEPTING,
ARRIVING,
ASSEMBLING,
COLLECTING,
COMMISSIONING,
CONSIGNING,
CREATING_CLASS_INSTANCE,
CYCLE_COUNTING,
DECOMMISSIONING,
DEPARTING,
DESTROYING,
DISASSEMBLING,
DISPENSING,
ENCODING,
ENTERING_EXITING,
HOLDING,
INSPECTING,
INSTALLING,
KILLING,
LOADING,
OTHER,
PACKING,
PICKING,
RECEIVING,
REMOVING,
REPACKAGING,
REPAIRING,
REPLACING,
RESERVING,
RETAIL_SELLING,
SHIPPING,
STAGING_OUTBOUND,
STOCK_TAKING,
STOCKING,
STORING,
TRANSPORTING,
UNLOADING,
UNPACKING,
VOID_SHIPPING,
SENSOR_REPORTING,
SAMPLING
disposition
enum<string>

The disposition of the event

Available options:
ACTIVE,
CONTAINER_CLOSED,
DAMAGED,
DESTROYED,
DISPENSED,
DISPOSED,
ENCODED,
EXPIRED,
IN_PROGRESS,
IN_TRANSIT,
INACTIVE,
NO_PEDIGREE_MATCH,
NON_SELLABLE_OTHER,
PARTIALLY_DISPENSED,
RECALLED,
RESERVED,
RETAIL_SOLD,
RETURNED,
SELLABLE_ACCESSIBLE,
SELLABLE_NOT_ACCESSIBLE,
STOLEN,
UNKNOWN,
AVAILABLE,
COMPLETENESS_VERIFIED,
COMPLETENESS_INFERRED,
CONFORMANT,
CONTAINER_OPEN,
MISMATCH_INSTANCE,
MISMATCH_CLASS,
MISMATCH_QUANTITY,
NEEDS_REPLACEMENT,
NON_CONFORMANT,
UNAVAILABLE
quantityList
object[]

List of quantities associated with the event

outputQuantityList
object[]

Output list of quantities associated with the event

inputQuantityList
object[]

Input list of quantities associated with the event

sourceList
object[]

List of sources associated with the event

destinationList
object[]

List of destinations associated with the event

readPoint
object

The read point associated with the event

seafoodEventData
object

The seafood event data associated with the event

epcs
object[]

The instance identifiers associated with the event

inputEpcs
object[]

The instance identifiers associated with the event

outputEpcs
object[]

The instance identifiers associated with the event

images
string[]

The images associated with the event